> ## Documentation Index
> Fetch the complete documentation index at: https://docs.particle.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# no_active_subscription

> No active subscription for spend limit configuration

|                    |                          |
| ------------------ | ------------------------ |
| **HTTP status**    | `400 Bad Request`        |
| **Error code**     | `no_active_subscription` |
| **Resolve action** | `select_plan`            |

## What happened

Spend limits can only be configured on organizations with an active subscription. The organization doesn't have one yet.

## How to fix

<Steps>
  <Step title="Select a billing plan">
    ```bash theme={"dark"}
    curl -X POST https://api.particle.pro/v1/organizations/{orgId}/billing/subscription \
      -H "Authorization: Bearer YOUR_JWT_TOKEN" \
      -H "Content-Type: application/json" \
      -d '{"plan_id": "PLAN_ID"}'
    ```
  </Step>

  <Step title="Configure spend limits">
    ```bash theme={"dark"}
    curl -X PUT https://api.particle.pro/v1/organizations/{orgId}/billing/spend-limits \
      -H "Authorization: Bearer YOUR_JWT_TOKEN" \
      -H "Content-Type: application/json" \
      -d '{"monthly_budget_cents": 10000}'
    ```
  </Step>
</Steps>
